space_rep< T, distributed >
Inheritance diagram for space_rep< T, distributed >:

## Public Types

typedef space_base_rep< T, distributed > | base
typedef base::size_type | size_type
Public Types inherited from space_base_rep< T, distributed >
typedef space_pair_type::size_type | size_type
typedef space_constant::valued_type | valued_type

## Public Member Functions

| space_rep (const geo_basic< T, distributed > &omega, std::string approx, std::string prod_valued)
| space_rep (const geo_basic< T, distributed > &omega, const basis_basic< T > &b)
| space_rep (const space_constitution< T, distributed > &constit)
| space_rep (const space_mult_list< T, distributed > &)
| ~space_rep ()
const communicator & | comm () const
bool | dis_is_blocked (size_type dis_idof) const
size_type | dis_idof2dis_iub (size_type dis_idof) const
const distributor & | ios_ownership () const
size_type | idof2ios_dis_idof (size_type idof) const
size_type | ios_idof2dis_idof (size_type ios_idof) const
const std::set< size_type > & | ext_iu_set () const
const std::set< size_type > & | ext_ib_set () const
Public Member Functions inherited from space_base_rep< T, distributed >
| space_base_rep ()
| space_base_rep (const geo_basic< T, distributed > &omega, std::string approx, std::string prod_valued)
| space_base_rep (const geo_basic< T, distributed > &omega, const basis_basic< T > &b)
| space_base_rep (const space_constitution< T, distributed > &constit)
| space_base_rep (const space_mult_list< T, distributed > &)
virtual | ~space_base_rep ()
const distributor & | ownership () const
size_type | ndof () const
size_type | dis_ndof () const
const communicator & | comm () const
const space_constitution< T, distributed > & | get_constitution () const
const geo_basic< T, distributed > & | get_geo () const
const basis_basic< T > & | get_basis () const
valued_type | valued_tag () const
const std::string & | valued () const
size_type | size () const
space_component< T, distributed > | operator[] (size_type i_comp)
space_component_const< T, distributed > | operator[] (size_type i_comp) const
std::string | name () const
void | block (const domain_indirect_basic< distributed > &dom)
| e.g. "P1(square)", for field_expr<Expr> checks More...
void | unblock (const domain_indirect_basic< distributed > &dom)
void | block_n (const domain_indirect_basic< distributed > &dom)
void | unblock_n (const domain_indirect_basic< distributed > &dom)
bool | is_blocked (size_type idof) const
size_type | dis_iub (size_type idof) const
const point_basic< T > & | xdof (size_type idof) const
const disarray< point_basic< T >, distributed > & | get_xdofs () const
const distributor & | iu_ownership () const
const distributor & | ib_ownership () const
void | dis_idof (const geo_element &K, std::vector< size_type > &dis_idof) const
T | momentum (const Function &f, size_type idof) const
point_basic< T > | vector_momentum (const Function &f, size_type idof) const
tensor_basic< T > | tensor_momentum (const Function &f, size_type idof) const
disarray< size_type, distributed > | build_indirect_array (const space_base_rep< T, distributed > &Wh, const std::string &dom_name) const
disarray< size_type, distributed > | build_indirect_array (const space_base_rep< T, distributed > &Wh, const geo_basic< T, distributed > &bgd_gamma) const
bool | operator== (const space_base_rep< T, distributed > &V2) const

## Protected Member Functions

void | freeze_body () const
void | append_external_dof (const geo_basic< T, distributed > &dom, std::set< size_type > &ext_dof_set) const
Protected Member Functions inherited from space_base_rep< T, distributed >
void | init_xdof ()
void | freeze_guard () const
void | no_freeze_guard () const
void | base_freeze_body () const

## Protected Attributes

disarray< size_type, distributed > | _idof2ios_dis_idof
disarray< size_type, distributed > | _ios_idof2dis_idof
std::set< size_type > | _ext_iu_set
std::set< size_type > | _ext_ib_set
Protected Attributes inherited from space_base_rep< T, distributed >
space_constitution< T, distributed > | _constit
disarray< point_basic< T >, distributed > | _xdof
bool | _have_freezed
disarray< space_pair_type, distributed > | _idof2blk_dis_iub
disarray< int, distributed > | _has_nt_basis
disarray< point_basic< T >, distributed > | _normal
distributor | _iu_ownership
distributor | _ib_ownership

## Detailed Description

### template<class T>
class rheolef::space_rep< T, distributed >

Definition at line 302 of file space.h.

## Member Typedef Documentation

## base

typedef space_base_rep<T,distributed> base

Definition at line 307 of file space.h.

## size_type

typedef base::size_type size_type

Definition at line 308 of file space.h.

## Constructor & Destructor Documentation

## space_rep() [1/4]

space_rep | ( | const geo_basic< T, distributed > & | omega,
|  | std::string | approx,
|  | std::string | prod_valued
| ) |  |

Definition at line 43 of file space_mpi.cc.

## space_rep() [2/4]

space_rep | ( | const geo_basic< T, distributed > & | omega,
|  | const basis_basic< T > & | b
| ) |  |

Definition at line 57 of file space_mpi.cc.

## space_rep() [3/4]

space_rep | ( | const space_constitution< T, distributed > & | constit | ) |

Definition at line 32 of file space_mpi.cc.

## space_rep() [4/4]

space_rep | ( | const space_mult_list< T, distributed > & | expr | ) |

Definition at line 70 of file space_mpi.cc.

## ~space_rep()

~space_rep | ( |  | ) |

Definition at line 319 of file space.h.

## Member Function Documentation

## comm()

const communicator& comm | ( |  | ) | const

Definition at line 323 of file space.h.

## dis_is_blocked()

bool dis_is_blocked | ( | size_type | dis_idof | ) | const

Definition at line 130 of file space_mpi.cc.

## dis_idof2dis_iub()

space_rep< T, distributed >::size_type dis_idof2dis_iub | ( | size_type | dis_idof | ) | const

Definition at line 123 of file space_mpi.cc.

## ios_ownership()

const distributor& ios_ownership | ( |  | ) | const

Definition at line 328 of file space.h.

## idof2ios_dis_idof()

size_type idof2ios_dis_idof | ( | size_type | idof | ) | const

Definition at line 329 of file space.h.

## ios_idof2dis_idof()

size_type ios_idof2dis_idof | ( | size_type | ios_idof | ) | const

Definition at line 330 of file space.h.

## ext_iu_set()

const std::set<size_type>& ext_iu_set | ( |  | ) | const

Definition at line 331 of file space.h.

## ext_ib_set()

const std::set<size_type>& ext_ib_set | ( |  | ) | const

Definition at line 332 of file space.h.

## freeze_body()

void freeze_body

protected virtual

Reimplemented from space_base_rep< T, distributed >.

Definition at line 81 of file space_mpi.cc.

## append_external_dof()

void append_external_dof | ( | const geo_basic< T, distributed > & | dom,
|  | std::set< size_type > & | ext_dof_set
| ) |  | const

protected

## Member Data Documentation

## _idof2ios_dis_idof

disarray<size_type,distributed> _idof2ios_dis_idof

protected

Definition at line 340 of file space.h.

## _ios_idof2dis_idof

disarray<size_type,distributed> _ios_idof2dis_idof

protected

Definition at line 341 of file space.h.

## _ext_iu_set

std::set<size_type> _ext_iu_set

mutable protected

Definition at line 343 of file space.h.

## _ext_ib_set

std::set<size_type> _ext_ib_set

mutable protected

Definition at line 344 of file space.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/space.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/space_mpi.cc